## keystone 2012.1+stable~20120824-a16a0ab9

=== debian/changelog ===
keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2.4) precise-security; urgency=low

  * SECURITY UPDATE: fix token creation error handling 
    - debian/patches/CVE-2013-0247.patch: validate size of user_id, username,
      password, tenant_name, tenant_id and token size to help guard against a
      denial of service via large log files filling the disk
    - CVE-2013-0247

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 31 Jan 2013 12:22:43 -0600

keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2.3) precise-security; urgency=low

  * SECURITY UPDATE: fix for EC2-style credentials invalidation
    - debian/patches/CVE-2012-5571.patch: adjust contrib/ec2/core.py to verify
      that the user is in at least one valid role for the tenant
    - CVE-2012-5571
    - LP: #1064914

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 26 Nov 2012 14:07:34 -0600

keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2.2) precise-security; urgency=low

  * SECURITY UPDATE: Pre-existing tokens continue to be valid after
    granting or revoking a user's access (LP: #1041396)
    - debian/patches/keystone-CVE-2012-4413.patch: invalidate all user
      tokens upon role grant/revoke
    - CVE-2012-4413

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 12 Sep 2012 09:47:55 -0700

keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2.1) precise-security; urgency=low

  * SECURITY UPDATE: tenants are able to be added to users without
    authorization (LP: #1040626)
    - debian/patches/keystone-CVE-2012-3542: require authz to update a
      user's tenant.
    - CVE-2012-3542

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 30 Aug 2012 15:10:26 -0700

keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2) precise-proposed; urgency=low

  * New upstream release (LP: #1041120):
    - debian/patches/0013-Flush-tenant-membership-deletion-before-user.patch:
      Dropped.
  * Resynchronize with stable/essex:
    - authenticate in ldap backend doesn't return a list of roles
      (LP: #1035428)
    - LDAP should not check username on "sn" field (LP: #997700)
    - Admin API doesn't valid token. (LP: #1006815, #1006822)
    - Memcache token backend eventually stops working. (LP: #1012381)
    - EC2 credentials not migrated from legacy (diablo) database. (LP: #1016056)
    - Deleting tenants or users does not cleanup metadata. (LP: #973243)
    - Deleting tenants does not cleanup its user associations. (LP: #974199)
    - TokenNotFound not raised in testsuite beacuse of timezone issues. (LP: #983800)
    - Token authentication for a user in a disabled tenant does not raise
      Unauthorized error. (LP: #988920)
    - export_legacy_catalog doesn't convert url names correctly. (LP: #994936)
    - Following a password compromise and subsequent password change,
      tokens remain valid. (LP: #996595)
    - Tokens remain valid after a user account is disabled. (LP: #997194)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 24 Aug 2012 03:34:59 -0400

keystone (2012.1+stable~20120608-aff45d6-0ubuntu1) precise-proposed; urgency=low

  * New usptream snapshot. (LP: #1010473)
  * Resynchronize with stable/essex:
    - aff45d6 - Make import_nova_auth only create roles which don't already exist
      (LP: #959294)
  * debian/patches/0013-Flush-tenant-membership-deletion-before-user.patch: Backported
    fix for "Flush tenant membership deletion before user." (LP: #998137)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 05 Jun 2012 11:24:02 -0400

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Soren Hansen <soren@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
 pep8,
 pylint,
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~) | python-support,
 python-eventlet,
 python-keystoneclient,
 python-ldap,
 python-lxml,
 python-memcache,
 python-migrate,
 python-mox, 
 python-nose,
 python-nova,
 python-pam,
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-prettytable,
 python-routes,
 python-sphinx,
 python-sqlalchemy,
 python-swift,
 python-unittest2,
 python-webob,
 python-webtest,
 python-iso8601
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/essex

Package: python-keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-eventlet,
 python-greenlet,
 python-lxml,
 python-migrate,
 python-pam,
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-prettytable,
 python-routes,
 python-sqlalchemy,
 python-migrate,
 python-prettytable,
 python-keystoneclient,
 python-webob,
 python-iso8601
Suggests: python-memcached
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-keystone (= ${source:Version}),
 adduser,
 ssl-cert (>= 1.0.12),
 dbconfig-common
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# create a dummy db for testing
	rm -rf $(CURDIR)/debian/tests/testing.db
	migrate version_control sqlite:////$(CURDIR)/debian/tests/testing.db \
		$(CURDIR)/keystone/common/sql/migrate_repo
	# run migrations
	PYTHONPATH=$(CURDIR)  migrate upgrade \
		sqlite:////$(CURDIR)/debian/tests/testing.db \
		$(CURDIR)/keystone/common/sql/migrate_repo 

	# tests/test_overrides.conf can be used to setup the environment
	# for unit testing.
	cp tests/test_overrides.conf tests/test_overrides.conf.orig
	cp $(CURDIR)/debian/tests/test_overrides.conf $(CURDIR)/tests/test_overrides.conf
	sed -i 's|%CUR_DIR%|$(CURDIR)|g' $(CURDIR)/tests/test_overrides.conf	
	# TEMP: ignore failures until bug 961871 is resolved
	bash run_tests.sh -N
	mv $(CURDIR)/tests/test_overrides.conf.orig $(CURDIR)/tests/test_overrides.conf
	rm -rf $(CURDIR)/debian/tests/testing.db
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
else
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
endif

override_dh_install:
	dh_install
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex 
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

UPSTREAM_GIT=git://github.com/openstack/keystone.git
DEBIAN_VERSION=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
DEBIAN_NAME=keystone

get-orig-source-git:
	git clone $(UPSTREAM_GIT) $(DEBIAN_NAME)
	cd $(DEBIAN_NAME) ; \
	git checkout stable/essex ; \
	python setup.py sdist ; \
	mv dist/keystone-2012.1.tar.gz ../keystone_$(DEBIAN_VERSION).orig.tar.gz

=== debian/watch ===
version=3
http://launchpad.net/keystone/+download http://launchpad.net/keystone/.*/keystone-(.*)\.tar\.gz
http://keystone.openstack.org/tarballs/ keystone-(.*).tar.gz

## keystone 2012.1.1

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 7.0.50),
 python-all (>= 2.6.6-3~),
 python-all-dev (>= 2.6.6-3~) | python-support,
 python-lxml,
 python-setuptools,
 python-sphinx,
 python-unittest2,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-eventlet,
 python-webob,
 python-sqlalchemy,
 python-passlib,
 python-ldap,
 python-memcache,
 python-swift,
 python-nose,
 python-migrate,
 python-prettytable,
 python-mox,
 python-dateutil,
 pep8,
 git-core,
 po-debconf
Standards-Version: 3.9.3
Homepage: http://launchpad.net/keystone
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/keystone.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/keystone.git

Package: python-keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-passlib,
 python-sqlalchemy,
 python-routes,
 python-lxml,
 python-httplib2,
 python-eventlet,
 python-paste,
 python-pastedeploy,
 python-pastescript,
 python-webob,
 python-sqlite,
 python-nova,
 python-dateutil
Recommends: python-memcache, python-ldap
Description: OpenStack identity service - library
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-keystone (= ${source:Version}),
 adduser,
 lsb-base (>= 3.0-6),
 dbconfig-common,
 python-keystoneclient
Description: OpenStack identity service
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},  libjs-jquery, libjs-underscore
Description: OpenStack identity service - documentation
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
        # create a dummy db for testing
	rm -rf $(CURDIR)/debian/tests/testing.db
        migrate version_control sqlite:////$(CURDIR)/debian/tests/testing.db \
                $(CURDIR)/keystone/common/sql/migrate_repo
        # run migrations
	PYTHONPATH=$(CURDIR)  migrate upgrade \
                sqlite:////$(CURDIR)/debian/tests/testing.db \
                $(CURDIR)/keystone/common/sql/migrate_repo

        # tests/test_overrides.conf can be used to setup the environment
        # for unit testing.
	cp tests/test_overrides.conf tests/test_overrides.conf.orig
	cp $(CURDIR)/debian/tests/test_overrides.conf $(CURDIR)/tests/test_overrides.conf
	sed -i 's|%CUR_DIR%|$(CURDIR)|g' $(CURDIR)/tests/test_overrides.conf
	# TEMP: ignore failures until bug 961871 is resolved
	bash run_tests.sh -N
	mv $(CURDIR)/tests/test_overrides.conf.orig $(CURDIR)/tests/test_overrides.conf
	rm -rf $(CURDIR)/debian/tests/testing.db
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
else
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
endif

override_dh_install:
	dh_install
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples
	install -D etc/keystone.conf debian/keystone/usr/share/keystone/keystone.conf

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
        # NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
        # should be fixed upstream or updated here post-essex
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -rf $(CURDIR)/doc/source/sourcecode
	rm -rf $(CURDIR)/admin.log $(CURDIR)/keystone-legacy-auth.log
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

get-vcs-source:
	git remote add upstream git://github.com/openstack/keystone.git || true
	git fetch upstream
	git archive --prefix=keystone-2012.1.1/ 2012.1.1 | xz >../keystone_2012.1.1.orig.tar.xz
	if ! git checkout master ; then \
		echo "No upstream branch: checking out" ; \
		git checkout -b master upstream/master ; \
	fi
	git checkout debian/unstable

display-po-stats:
	cd $(CURDIR)/debian/po ; for i in *.po ; do \
		echo -n $$i": " ; \
		msgfmt -o /dev/null --statistic $$i ; \
	done

call-for-po-trans:
	podebconf-report-po --call --withtranslators --languageteam

## keystone 2012.1.3+stable-20130423-f48dd0fc

=== debian/changelog ===
keystone (2012.1.3+stable-20130423-f48dd0fc-0ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: delete user token immediately upon delete when using v2
    API
    - CVE-2013-2059.patch: adjust keystone/identity/core.py to call
      token_api.delete_token() during delete. Also update test suite.
    - CVE-2013-2059
    - LP: #1166670

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 15 May 2013 14:41:06 -0500

keystone (2012.1.3+stable-20130423-f48dd0fc-0ubuntu1) precise-proposed; urgency=low

  * Resynchronize with stable/essex (LP: #1089488):
    - [7402f5e] EC2 authentication does not ensure user or tenant is enabled
      LP: 1121494
    - [8945567] DoS through XML entity expansion (CVE-2013-1664) LP: 1100282
    - [7b5b72f] Add size validations for /tokens.
    - [ef1e682] docutils 0.10 incompatible with sphinx 1.1.3 LP: 1091333
    - [8735009] Removing user from a tenant isn't invalidating user access to
      tenant (LP: #1064914)
    - [025b1d5] Jenkins jobs fail because of incompatibility between sqlalchemy-
      migrate and the newest sqlalchemy-0.8.0b1 (LP: #1073569)
    - [ddb4019] Open 2012.1.4 development
    - [0e1f05e] memcache driver needs protection against unicode user keys
      (LP: #1056373)
    - [176ee9b] Token invalidation in case of role grant/revoke should be
      limited to affected tenant (LP: #1050025)
    - [58ac669] Token validation includes revoked roles (CVE-2012-4413)
      (LP: #1041396)
    - [cd1e48a] Memcached Token Backend does not support list tokens
      (LP: #1046905)
    - [5438d3b] Update user's default tenant partially succeeds without authz
      (LP: #1040626)
  * Dropped patches, superseeded by new snapshot:
    - debian/patches/CVE-2013-0282.patch [7402f5e]
    - debian/patches/CVE-2013-1664+1665.patch [8945567]
    - debian/patches/keystone-CVE-2012-5571.patch [8735009]
    - debian/patches/keystone-CVE-2012-4413.patch [58ac669]
    - debian/patches/keystone-CVE-2012-3542.patch [5438d3b]
  * Refreshed patches:
    - debian/patches/CVE-2013-0247.patch
    - debian/patches/fix-ubuntu-tests.patch

 -- Yolanda <yolanda.robla@canonical.com>  Tue, 23 Apr 2013 10:30:16 +0200

keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2.5) precise-security; urgency=low

  * SECURITY UPDATE: fix EC2-style authentication for disabled users
    - debian/patches/CVE-2013-0282.patch: adjust keystone/contrib/ec2/core.py
      to ensure user and tenant are enabled in EC2
    - CVE-2013-0282
    - LP: #1121494
  * SECURITY UPDATE: fix denial of service
    - debian/patches/CVE-2013-1664+1665.patch: disable XML entity parsing
    - CVE-2013-1664
    - CVE-2013-1665
    - LP: #1100279

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 19 Feb 2013 11:57:49 -0600

## keystone 2012.2~f1

=== debian/changelog ===
keystone (2012.2~f1-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream release.
  * Prepare for quantal:
    - debian/patches/fix-ubuntu-tests.patch: Refreshed.
    - debian/patches/sql_connection.patch: Refreshed.
  * debian/keystone.install: Install the right configuration files.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jul 2012 14:23:33 -0400

## keystone 2012.2~f2

=== debian/changelog ===
keystone (2012.2~f2-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 10:37:01 -0400

## keystone 2012.2

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Soren Hansen <soren@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
 pep8,
 pylint,
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~) | python-support,
 python-eventlet,
 python-keystoneclient,
 python-ldap,
 python-lxml,
 python-memcache,
 python-migrate,
 python-mox, 
 python-nose,
 python-nova,
 python-pam,
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-prettytable,
 python-routes,
 python-sphinx,
 python-sqlalchemy,
 python-swift,
 python-unittest2,
 python-webob,
 python-webtest,
 python-iso8601
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/essex

Package: python-keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-eventlet,
 python-greenlet,
 python-lxml,
 python-migrate,
 python-pam,
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-prettytable,
 python-routes,
 python-sqlalchemy,
 python-migrate,
 python-prettytable,
 python-keystoneclient,
 python-webob,
 python-iso8601
Suggests: python-memcache
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-keystone (= ${source:Version}),
 adduser,
 ssl-cert (>= 1.0.12),
 dbconfig-common
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

## keystone 2012.2.1

=== debian/changelog ===
keystone (2012.2.1-0ubuntu1.2) quantal-security; urgency=low

  * SECURITY UPDATE: fix EC2-style authentication for disabled users
    - debian/patches/CVE-2013-0282.patch: adjust keystone/contrib/ec2/core.py
      to ensure user and tenant are enabled in EC2
    - CVE-2013-0282
    - LP: #1121494
  * SECURITY UPDATE: fix denial of service
    - debian/patches/CVE-2013-1664+1665.patch: disable XML entity parsing
    - CVE-2013-1664
    - CVE-2013-1665
    - LP: #1100279
    - LP: #1100282

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 19 Feb 2013 11:48:27 -0600

keystone (2012.2.1-0ubuntu1.1) quantal-security; urgency=low

  * SECURITY UPDATE: fix token creation error handling 
    - debian/patches/CVE-2013-0247.patch: validate size of user_id, username,
      password, tenant_name, tenant_id and old_token size to help guard
      against a denial of service via large log files filling the disk
    - CVE-2013-0247

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 31 Jan 2013 12:14:43 -0600

keystone (2012.2.1-0ubuntu1) quantal-proposed; urgency=low

  * Ubuntu updates:
    - debian/control: Ensure keystoneclient is upgraded with keystone,
      require python-keystoneclient >= 1:0.1.3. (LP: #1073273)
    - Dropped patches, applied upsteram:
      - debian/patches/CVE-2012-5563.patch
      - debian/patches/CVE-2012-5571.patch
      - debian/patches/fix-ssl-tests-lp1068851.patch
  * Resynchronize with stable/folsom (7869c3ec) (LP: #1085255):
    - [f9d4766] token expires time incorrect for auth by one token
      (LP: #1079216)
    - [80d63c8] keystone throws error when removing user from tenant.
      (LP: #1078497)
    - [37308dd] Removing user from a tenant isn't invalidating user access to
      tenant (LP: #1064914)
    - [bec9b68] Redo part of bp/sql-identiy-pam undone by bug 968519
      (LP: #1068674)
    - [ee645e6] Jenkins jobs fail because of incompatibility between sqlalchemy-
      migrate and the newest sqlalchemy-0.8.0b1 (LP: #1073569)
    - [094c494] Non PKI Tokens longer than 32 characters can never be valid
      (LP: #1060389)
    - [3cd343b] Openssl tests rely on expired certificate (LP: #1068851)
    - [2f9807e] Set defaultbranch in .gitreview to stable/folsom

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 04 Dec 2012 09:19:41 -0800

keystone (2012.2-0ubuntu1.2) quantal-security; urgency=low

  * SECURITY UPDATE: fix for EC2-style credentials invalidation
    - debian/patches/CVE-2012-5571.patch: adjust contrib/ec2/core.py to verify
      that the user is in at least one valid role for the tenant
    - CVE-2012-5571
    - LP: #1064914
  * debian/patches/fix-ssl-tests-lp1068851.patch: update certificates for
    SSL tests
  * SECURITY UPDATE: fix for token expiration
    - debian/patches/CVE-2012-5563.patch: ensure token expiration is
      maintained
    - CVE-2012-5563
    - LP: #1079216

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 28 Nov 2012 11:29:47 -0600

## keystone 2012.2.3+stable-20130206-82c87e56

=== debian/changelog ===
keystone (2012.2.3+stable-20130206-82c87e56-0ubuntu1) quantal-proposed; urgency=low

  [ Adam Gandelman ]
  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-0247.patch: [bb2226f]
  * Resynchronize with stable/folsom (82c87e56) (LP: #1116671):
    - [bb2226f] Add size validations for /tokens.
    - [ec7b94d] Non-API specific 404 exposes traceback LP: 1089987
    - [70e55f9] SQL backend fails if not all URL are defined in an endpoint
      LP: 1061736
    - [6c95b73] Unparseable endpoint URL's should raise a user friendly error
      LP: 1058494
    - [9e300b7] Test 0.2.0 keystoneclient to avoid new deps
    - [ec06625] serviceCatalog is dict in the case of no endpoints LP: 1087405

  [ Chuck Short ]
  * debian/patches/fix-ubuntu-tests.patch: Refreshed.

 -- Adam Gandelman <adamg@ubuntu.com>  Wed, 06 Feb 2013 11:13:12 -0400

## keystone 2012.2.4

=== tests/signing/Makefile ===
# vim: tabstop=4 shiftwidth=4 softtabstop=4

# Copyright 2012 Red Hat,. Inc

#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.



.SUFFIXES:  .json .pem

SOURCES=auth_token_unscoped.json auth_token_scoped.json revocation_list.json
SIGNED=$(SOURCES:.json=.pem)
TARGETS=$(SIGNED)

all: $(TARGETS)
clean:
	rm -f $(TARGETS) *~

.json.pem :
	openssl cms  -sign -in $<  -nosmimecap  -signer signing_cert.pem -inkey private_key.pem -outform PEM -nodetach -nocerts  -noattr -out $@

=== debian/changelog ===
keystone (2012.2.4-0ubuntu3.3~cloud0) precise-folsom; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Mon, 25 Nov 2013 13:24:00 -0800

keystone (2012.2.4-0ubuntu3.3) quantal-security; urgency=low

  * SECURITY UPDATE: don't add role when attempting to remove a non-existent
    role
    - debian/patches/CVE-2013-4477.patch: raise RoleNotFound with exception
      ldap.NO_SUCH_OBJECT
    - CVE-2013-4477
    - LP: #1242855

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 05 Nov 2013 09:43:11 -0600

keystone (2012.2.4-0ubuntu3.2) quantal-security; urgency=low

  * SECURITY UPDATE: revoke user tokens when disabling/delete a project
    - debian/patches/CVE-2013-4222.patch: add _delete_tokens_for_project() to
      common/controller.py and use it in identity/controllers.py
      (LP: #1179955)
    - CVE-2013-4222
  * SECURITY UPDATE: fix and test token revocation list API
    - debian/patches/CVE-2013-4294.patch: fix token matching for memcache
      backend token revocation (LP: #1202952)
    - CVE-2013-4294

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Oct 2013 10:09:33 -0500

keystone (2012.2.4-0ubuntu3.1) quantal-security; urgency=low

  * SECURITY UPDATE: fix auth_token middleware neglects to check expiry of
    signed token when using PKI
    - debian/patches/CVE-2013-2104.patch: explicitly check the expiry on the
      tokens, and reject tokens that have expired. Also update test data
    - CVE-2013-2104
    - LP: #1179615
  * debian/patches/fix-testsuite-for-2038-problem.patch: Adjust json example
    cert data to use 2037 instead of 2112 and regenerate the certs. Also
    adjust token expiry data to use 2037 instead of 2999.
  * SECURITY UPDATE: fix authentication bypass when using LDAP backend
    - debian/patches/CVE-2013-2157.patch: identity/backends/ldap/core.py is
      adjusted to raise an assertion for invalid password when using LDAP and
      an empty password is submitted
    - CVE-2013-2157
    - LP: #1187305

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 13 Jun 2013 13:42:44 -0500

keystone (2012.2.4-0ubuntu3) quantal-proposed; urgency=low

  * debian/patches/update_certs.patch: Fix FTBFS.  Original SSL certs
    for test suite expired May 18 2013. Cherry-picked regenerated certs
    from stable/folsom commit c14f2789.

 -- James Page <james.page@ubuntu.com>  Wed, 29 May 2013 20:59:34 +0100

keystone (2012.2.4-0ubuntu2) quantal-proposed; urgency=low

  * Rebase on latest security fixes.
  * SECURITY UPDATE: delete user token immediately upon delete when using v2
    API
    - CVE-2013-2059.patch: adjust keystone/identity/core.py to call
      token_api.delete_token() during delete. Also update test suite.
    - CVE-2013-2059
    - LP: #1166670

 -- James Page <james.page@ubuntu.com>  Fri, 17 May 2013 11:26:24 +0100

keystone (2012.2.4-0ubuntu1) quantal-proposed; urgency=low

  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-1865.patch: [255b1d4]
    - debian/patches/CVE-2013-0282.patch: [f0b4d30]
    - debian/patches/CVE-2013-1664+1665.patch: [8a22745]
  * Resynchronize with stable/folsom (09f28020) (LP: #1179707):
    - [5ea4fcf] V2 API reported at Beta LP: 1135230
    - [1889299] PKI-signed token hash saved as token ID for SQL backend only
      LP: 1073272
    - [40660f0] Key PKI tokens on hash in memcached for auth_token middleware
      LP: 1073343
    - [b3ce6a7] Use the right subprocess based on os monkeypatch
    - [bb1ded0] keystone-all --config-dir is being ignored LP: 1101129
    - [9e0a97d] Temporary network outage results in connection refused and
      invalid token LP: 1150299
    - [255b1d4] Validation of PKI tokens bypasses revocation check LP: 1129713
    - [8690166] PKI tokens are broken after 24 hours LP: 1074172
    - [790c87e] PKI tokens are broken after 24 hours LP: 1074172
    - [f0b4d30] EC2 authentication does not ensure user or tenant is enabled
      LP: 1121494
    - [8a22745] DoS through XML entity expansion (CVE-2013-1664) LP: 1100282

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 25 Apr 2013 17:51:09 -0400

keystone (2012.2.3+stable-20130206-82c87e56-0ubuntu2.1) quantal-security; urgency=low

  * SECURITY UPDATE: delete user token immediately upon delete when using v2
    API
    - CVE-2013-2059.patch: adjust keystone/identity/core.py to call
      token_api.delete_token() during delete. Also update test suite.
    - CVE-2013-2059
    - LP: #1166670

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 07 May 2013 14:05:48 -0500

keystone (2012.2.3+stable-20130206-82c87e56-0ubuntu2) quantal-proposed; urgency=low

  * Resync with latest security updates.
  * SECURITY UPDATE: fix PKI revocation bypass
    - debian/patches/CVE-2013-1865.patch: validate tokens from the backend
    - CVE-2013-1865
  * SECURITY UPDATE: fix EC2-style authentication for disabled users
    - debian/patches/CVE-2013-0282.patch: adjust keystone/contrib/ec2/core.py
      to ensure user and tenant are enabled in EC2
    - CVE-2013-0282
  * SECURITY UPDATE: fix denial of service
    - debian/patches/CVE-2013-1664+1665.patch: disable XML entity parsing
    - CVE-2013-1664
    - CVE-2013-1665

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2013 12:02:56 +0000

keystone (2012.2.1-0ubuntu1.3) quantal-security; urgency=low

  * SECURITY UPDATE: fix PKI revocation bypass
    - debian/patches/CVE-2013-1865.patch: validate tokens from the backend
    - CVE-2013-1865
    - LP: #1129713

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 20 Mar 2013 08:45:09 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-all (>= 2.6),
  python-all-dev (>= 2.6.6-3~) | python-support,
  python-eventlet,
- python-keystoneclient,
+ python-keystoneclient ( >= 1:0.1.3 ),
  python-ldap,
  python-lxml,
  python-memcache,
@@ -53,7 +53,7 @@
  python-sqlalchemy,
  python-migrate,
  python-prettytable,
- python-keystoneclient,
+ python-keystoneclient ( >= 1:0.1.3 ),
  python-webob,
  python-iso8601
 Suggests: python-memcache

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
export HOME="$(CURDIR)/debian/tests/"

%:
	dh $@ --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# create a dummy db for testing
	rm -rf $(CURDIR)/debian/tests/testing.db
	migrate version_control sqlite:////$(CURDIR)/debian/tests/testing.db \
		$(CURDIR)/keystone/common/sql/migrate_repo
	# run migrations
	PYTHONPATH=$(CURDIR)  migrate upgrade \
		sqlite:////$(CURDIR)/debian/tests/testing.db \
		$(CURDIR)/keystone/common/sql/migrate_repo 

	# tests/test_overrides.conf can be used to setup the environment
	# for unit testing.
	cp tests/test_overrides.conf tests/test_overrides.conf.orig
	cp $(CURDIR)/debian/tests/test_overrides.conf $(CURDIR)/tests/test_overrides.conf
	sed -i 's|%CUR_DIR%|$(CURDIR)|g' $(CURDIR)/tests/test_overrides.conf
	bash run_tests.sh -N
	mv $(CURDIR)/tests/test_overrides.conf.orig $(CURDIR)/tests/test_overrides.conf
	rm -rf $(CURDIR)/debian/tests/testing.db $(CURDIR)/debian/tests/keystone-signing
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
else
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
endif

override_dh_install:
	dh_install
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
	install -D -m 0600 $(CURDIR)/etc/keystone.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/keystone.conf

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex 
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/keystone/+download https://launchpad.net/keystone/.*/.*/.*/keystone-(.*)\.tar\.gz
http://tarballs.openstack.org/keystone/ keystone-(\d.*).tar.gz

## keystone 2013.1~g2

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Uploaders: Soren Hansen <soren@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
  pep8,
+ po-debconf,
  pylint,
  python-all (>= 2.6),
  python-all-dev (>= 2.6.6-3~) | python-support,
  python-eventlet,
- python-keystoneclient ( >= 1:0.1.3 ),
+ python-keystoneclient ( >= 1:0.2 ),
  python-ldap,
  python-lxml,
  python-memcache,
  python-migrate,
- python-mox, 
+ python-mox,
  python-nose,
- python-nova,
  python-pam,
  python-passlib,
  python-paste,
@@ -34,7 +34,7 @@
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/keystone
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/essex
+Vcs-Bzr: https://code.launchpad.net/~openstack-ubuntu-testing/keystone/grizzly
 
 Package: python-keystone
 Architecture: all
@@ -53,7 +53,7 @@
  python-sqlalchemy,
  python-migrate,
  python-prettytable,
- python-keystoneclient ( >= 1:0.1.3 ),
+ python-keystoneclient ( >= 1:0.2 ),
  python-webob,
  python-iso8601
 Suggests: python-memcache
@@ -77,8 +77,7 @@
 Depends: ${python:Depends}, ${misc:Depends},
  python-keystone (= ${source:Version}),
  adduser,
- ssl-cert (>= 1.0.12),
- dbconfig-common
+ ssl-cert (>= 1.0.12)
 Description: OpenStack identity service - Daemons
  Keystone is a proposed independent authentication service for OpenStack.
  .

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	cp tests/test_overrides.conf tests/test_overrides.conf.orig
 	cp $(CURDIR)/debian/tests/test_overrides.conf $(CURDIR)/tests/test_overrides.conf
 	sed -i 's|%CUR_DIR%|$(CURDIR)|g' $(CURDIR)/tests/test_overrides.conf
-	bash run_tests.sh -N
+	PYTHONPATH=$(CURDIR) bash run_tests.sh -N
 	mv $(CURDIR)/tests/test_overrides.conf.orig $(CURDIR)/tests/test_overrides.conf
 	rm -rf $(CURDIR)/debian/tests/testing.db $(CURDIR)/debian/tests/keystone-signing
 endif
@@ -41,7 +41,7 @@
 endif
 
 override_dh_install:
-	dh_install
+	dh_install --fix-missing
 	rm -rf debian/python-keystone/usr/lib/python*/*/doc
 	rm -rf debian/python-keystone/usr/lib/python*/*/tools
 	rm -rf debian/python-keystone/usr/lib/python*/*/examples

## keystone 2013.1

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,21 @@
 XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
 Uploaders: Soren Hansen <soren@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
- pep8,
  po-debconf,
- pylint,
  python-all (>= 2.6),
- python-all-dev (>= 2.6.6-3~) | python-support,
  python-eventlet,
- python-keystoneclient ( >= 1:0.2 ),
+ python-keystoneclient ( >= 1:0.2.3 ),
  python-ldap,
  python-lxml,
  python-memcache,
  python-migrate,
  python-mox,
  python-nose,
+ python-oslo.config,
  python-pam,
  python-passlib,
  python-paste,
  python-pastedeploy,
- python-prettytable,
  python-routes,
  python-sphinx,
  python-sqlalchemy,
@@ -44,16 +41,15 @@
  python-greenlet,
  python-lxml,
  python-migrate,
+ python-oslo.config,
  python-pam,
  python-passlib,
  python-paste,
  python-pastedeploy,
- python-prettytable,
  python-routes,
  python-sqlalchemy,
  python-migrate,
- python-prettytable,
- python-keystoneclient ( >= 1:0.2 ),
+ python-keystoneclient ( >= 1:0.2.3 ),
  python-webob,
  python-iso8601
 Suggests: python-memcache

## keystone 2013.1.4

=== debian/changelog ===
keystone (1:2013.1.4-0ubuntu1.1) raring-security; urgency=low

  * SECURITY UPDATE: don't add role when attempting to remove a non-existent
    role
    - debian/patches/CVE-2013-4477.patch: raise RoleNotFound with exception
      ldap.NO_SUCH_OBJECT
    - CVE-2013-4477
    - LP: #1242855

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 05 Nov 2013 09:09:26 -0600

keystone (1:2013.1.4-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (9666fc0) (LP: #1241202):
    - [6792499] periodic-keystone-python27-stable-grizzly fails due to"No
      module named netaddr"   LP: 1212939
    - [775d7a7] Fix and test token revocation list API
    - [0876ea2] N+1 lookups in groups SQL LP: 1218675
    - [afbc75b] Disabling a tenant would not disable a user token LP: 1179955
    - [9666fc0] User operations with LDAP Identity and
      enabled_mask/user_enabled_default fail LP: 1210175

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 17 Oct 2013 13:52:59 -0700

keystone (1:2013.1.3-0ubuntu1) raring-proposed; urgency=low

  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-2157.patch: [c100fd2]
  * Resynchronize with stable/grizzly (f60f742) (LP: #1210447):
    - [4b22c02] Bump stable/grizzly next version to 2013.1.3
    - [c100fd2] Force simple Bind for authentication
    - [b426022] password in clear in keystone.log LP: 1166697
    - [8ea8024] Performance issue when delete tokens for users LP: 1178063
    - [76a94c6] Editing User fails when the user already has a Primary Project
      LP: 1161963
    - [27a5b42] User roles are replaced by group roles in v3 tokens
      LP: 1197874
    - [f60f742] Unscoped tokens are revoked when assigning a role to a user
      LP: 1170186
  * debian/control: Update Vcs field.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 09 Aug 2013 10:06:27 +0100

keystone (1:2013.1.2-0ubuntu2) raring-proposed; urgency=low

  * Rebased to include latest security updates:
    - debian/patches/CVE-2013-2157.patch: Cherry-picked from stable/grizzly.

 -- Adam Gandelman <adamg@ubuntu.com>  Sun, 16 Jun 2013 21:45:44 -0700

keystone (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (8dd57da1) (LP: #1188788):
    - [8dd57da] Migration 020 incorrectly assigns roles. LP: 1186128
    - [81a4d38] Removing a user from a project would result to all members of
      that project to be removed LP: 1170649
    - [39c4ca1] default_domain_id breaks the ability to map keystone  to ldap
      LP: 1168726
    - [69d0733] Lacking initial rule for list_groups_for_user operation in
      sample policy.json LP: 1167836
    - [45fa69b] LDAP list group users should not fail if user entry deleted
      LP: 1174585
    - [6090bbe] Update sample_data.sh to match docs  LP: 1073291
    - [a00bab7] use swift stable branch

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 07 Jun 2013 13:27:28 -0400

keystone (1:2013.1.1-0ubuntu2.1) raring-security; urgency=low

  * SECURITY UPDATE: fix authentication bypass when using LDAP backend
    - debian/patches/CVE-2013-2157.patch: identity/backends/ldap/core.py is
      adjusted to raise an assertion for invalid password when using LDAP and
      an empty password is submitted
    - CVE-2013-2157
    - LP: #1187305

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 13 Jun 2013 06:49:54 -0500

keystone (1:2013.1.1-0ubuntu2) raring-proposed; urgency=low

  * Rebase against latest security updates.
  * Dropped patches:
    - debian/patches/CVE-2013-2059.patch: [678b06a] 

 -- James Page <james.page@ubuntu.com>  Fri, 17 May 2013 10:42:16 +0100

keystone (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (678b06a9) (LP: #1179626):
    - [678b06a] Deleted user can still create instances LP: 1166670
    - [b874c8f] keystone ipv6 tests fail LP: 1176204
    - [3aa0f45] Set defaultbranch in .gitreview to stable/grizzly
    - [c5037dd] admin_token and LDAP password show up in log in DEBUG mode
      LP: 1172195
    - [76efb5c] residual grants after delete action LP: 1125637
    - [2b5b24e] PKI support breaks memcache token backend LP: 1119641
    - [9446a99] non-default auth plugins can't be configured LP: 1157515
    - [717f1aa] Upgrading from folsom to grizzly results in all tenants/users
      being disabled (LP: #1167421)

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 14 May 2013 07:49:15 -0700

keystone (1:2013.1-0ubuntu1.1) raring-security; urgency=low

  * SECURITY UPDATE: delete user token immediately upon delete when using v2
    API
    - CVE-2013-2059.patch: adjust keystone/identity/controllers.py to call
      _delete_tokens_for_user() during delete. Also update test suite.
    - CVE-2013-2059
    - LP: #1166670

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 07 May 2013 14:01:37 -0500

## keystone 2013.1.5

=== debian/changelog ===
keystone (1:2013.1.5-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * Resynchronize with stable/grizzly (a411c94) (LP: #1295674):
    - [a411c94] Ensure tokens are added to both Trustor and Trustee indexes
    - [8fcc18c] Fix v2 token user ref with trust impersonation=True
    - [82dcde0] Fix remove role assignment adds role using LDAP assignment

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Mar 2014 14:17:05 -0400

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,8 @@
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/keystone
-Vcs-Bzr: https://code.launchpad.net/~openstack-ubuntu-testing/keystone/grizzly
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/grizzly/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/grizzly
 
 Package: python-keystone
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,23 +12,12 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	# create a dummy db for testing
-	rm -rf $(CURDIR)/debian/tests/testing.db
-	migrate version_control sqlite:////$(CURDIR)/debian/tests/testing.db \
-		$(CURDIR)/keystone/common/sql/migrate_repo
-	# run migrations
-	PYTHONPATH=$(CURDIR)  migrate upgrade \
-		sqlite:////$(CURDIR)/debian/tests/testing.db \
-		$(CURDIR)/keystone/common/sql/migrate_repo 
-
-	# tests/test_overrides.conf can be used to setup the environment
-	# for unit testing.
 	cp tests/test_overrides.conf tests/test_overrides.conf.orig
 	cp $(CURDIR)/debian/tests/test_overrides.conf $(CURDIR)/tests/test_overrides.conf
-	sed -i 's|%CUR_DIR%|$(CURDIR)|g' $(CURDIR)/tests/test_overrides.conf
+	# run unit tests
 	PYTHONPATH=$(CURDIR) bash run_tests.sh -N
 	mv $(CURDIR)/tests/test_overrides.conf.orig $(CURDIR)/tests/test_overrides.conf
-	rm -rf $(CURDIR)/debian/tests/testing.db $(CURDIR)/debian/tests/keystone-signing
+	rm -rf $(CURDIR)/debian/tests/keystone-signing
 endif
 
 override_dh_auto_build:

## keystone 2013.1.g3

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,25 @@
 XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
 Uploaders: Soren Hansen <soren@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
+ pep8,
  po-debconf,
+ pylint,
  python-all (>= 2.6),
+ python-all-dev (>= 2.6.6-3~) | python-support,
  python-eventlet,
- python-keystoneclient ( >= 1:0.2.3 ),
+ python-keystoneclient ( >= 1:0.2 ),
  python-ldap,
  python-lxml,
  python-memcache,
  python-migrate,
  python-mox,
  python-nose,
- python-oslo.config,
+ python-oslo-config,
  python-pam,
  python-passlib,
  python-paste,
  python-pastedeploy,
+ python-prettytable,
  python-routes,
  python-sphinx,
  python-sqlalchemy,
@@ -27,12 +31,12 @@
  python-unittest2,
  python-webob,
  python-webtest,
- python-iso8601
+ python-iso8601,
+ python-novaclient
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/keystone
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/grizzly/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/grizzly
+Vcs-Bzr: https://code.launchpad.net/~openstack-ubuntu-testing/keystone/grizzly
 
 Package: python-keystone
 Architecture: all
@@ -42,15 +46,17 @@
  python-greenlet,
  python-lxml,
  python-migrate,
- python-oslo.config,
+ python-oslo-config,
  python-pam,
  python-passlib,
  python-paste,
  python-pastedeploy,
+ python-prettytable,
  python-routes,
  python-sqlalchemy,
  python-migrate,
- python-keystoneclient ( >= 1:0.2.3 ),
+ python-prettytable,
+ python-keystoneclient ( >= 1:0.2 ),
  python-webob,
  python-iso8601
 Suggests: python-memcache

## keystone 2013.2~rc4

=== requirements.txt ===
# keystone dependencies
pbr>=0.5.21,<1.0
pam>=0.1.4
WebOb>=1.2.3,<1.3
eventlet>=0.13.0
greenlet>=0.3.2
netaddr
PasteDeploy>=1.5.0
Paste
Routes>=1.12.3
SQLAlchemy>=0.7.8,<=0.7.99
sqlalchemy-migrate>=0.7.2
passlib
lxml>=2.3
iso8601>=0.1.4
python-keystoneclient>=0.3.2
oslo.config>=1.2.0
Babel>=0.9.6
oauth2
dogpile.cache>=0.5.0
